.sapUiBlockScrollingRow {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: nowrap;
	-webkit-flex-wrap: nowrap;
	flex-wrap: nowrap;
	overflow: auto;

	.sapUiBlockScrollableCell {
		-webkit-flex-shrink: 0;
		flex-shrink: 0;
		-ms-flex-negative: 0;
		width: 40%;
	}
}

.sapUiBlockLayoutSizeL,
.sapUiBlockLayoutSizeXL,
.sapUiBlockLayoutSizeM {
	.sapUiBlockHorizontalCellsRow {
		display: -webkit-box;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
	}

	.sapUiBlockSmallCell {
		-webkit-flex-shrink: 1;
		-webkit-flex-grow: 1;
		-webkit-flex-basis: 0;
		flex-grow: 1;
		flex-shrink: 1;
		flex-basis: 0;
		-ms-flex-positive: 1;
		-ms-flex-negative: 1;
	 	-ms-flex-preferred-size: 0;
	}

	.sapUiBlockMediumCell {
		-webkit-flex-grow: 2;
		-webkit-flex-shrink: 1;
		-webkit-flex-basis: 0;
		flex-grow: 2;
		flex-shrink: 1;
		flex-basis: 0;
		-ms-flex-positive: 2;
		-ms-flex-negative: 1;
		-ms-flex-preferred-size: 0;
	}
}

.sapUiBlockLayoutSizeL,
.sapUiBlockLayoutSizeXL {
	.sapUiBlockScrollingNarrowCells {
		.sapUiBlockScrollableCell {
			width: 25%;
		}
	}
}

.sapUiBlockLayoutSizeS {
	.sapUiBlockRowSCase {
		display: -webkit-box;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-ms-flex-wrap: wrap;
		-webkit-flex-wrap: wrap;
		flex-wrap: wrap;
	}

	.sapUiBlockSmallCell {
		width: 100%;
	}

	.sapUiBlockMediumCell {
		width: 100%;
	}

	.sapUiBlockScrollingRow {
		.sapUiBlockScrollableCell:first-child .sapUiBlockCellContent {
			padding-left: 2rem;
		}

		.sapUiBlockScrollableCell:last-child .sapUiBlockCellContent {
			padding-right: 2rem;
		}

		.sapUiBlockScrollableCell {
			min-width: 90%;
		}
	}
}
